( function( $ ){
    $( document ).ready( function(){
        
        $("input.captcha").on("keyup", function() {
            var tabindex = $(this).attr('tabindex');
            tabindex++; //increment tabindex            
            //after increment of tabindex ,make the next element focus
              $("body").find(':input.captcha[tabindex='+tabindex+']').focus();
        });
        $("input.captcha").on("keydown", function() {
            $(this).val('');
        });
        
        $("button.generate-token").on("click", function() {
            var key = $("input[name='key_site']").val();
            var main = $(this).closest("div.main_generation_token");
            $(main).find("div.loader_captcha").show();
            $(main).find("p.genera_token_box").hide();
            $(main).find("div.result_captcha").html('');
            
            jQuery.ajax({
                type: "POST",
                url : ajax_send.url,
                data: {
                    action: 'genera_2factor_token',
                    security : ajax_send.security,
                    key : key
                },
                success: function( data ) {
                     $(main).find("div.loader_captcha").hide();
                     $(main).find(".gm_login_form").css("display","flex");
                    // Azioni da eseguire in caso di successo chiamata
                     $(main).find("div.result_captcha").html(data);
                },
                error: function( error ) {
                    // Azioni da eseguire in caso di errore chiamata
            }
        });
        
        return false;            
        });
    } );
}( jQuery ) )
