<?php
    $error = false;
    $success = false;
    $activation_key = (isset($_POST["activation_key"]) && $_POST["activation_key"] != ""?$_POST["activation_key"]:"");
    if ($activation_key != "") {
        $post = [
            'key' => $activation_key,
            'validation' => 'backend',
            'url' => 'https://gianlucametello.it/authentication-2factor-api-return/',
            'siteback' => home_url()
        ];

        $response = gm_exec_curl($post);        
        if ($response != "success") {
            $error = true;
        } else {
            $success = true;
            add_option( 'gm_2factor_key_token', $activation_key);
        }
    } else {
        $activation_key = get_option("gm_2factor_key_token");
        if ($activation_key)
            $success = true;
    }
?>
<style>    
    .customize-form-login {
        padding: 25px;
    }
    .customize-form-login .content-form {
        padding:25px;
    }
    .customize-form-login label {
        font-size: 1.2em;
        width: 200px;
        font-weight: bold;
        margin:10px;
    }
    .customize-form-login input {
        width: 250px;
        padding: 3px;
    }
    
    .error_login_form {
        color: red;
        font-weight: bold;
        display: inline;
        padding: 5px;
    }
    
    .success_login_form {
        color: darkgreen;
        font-weight: bold;
        display: inline;
        padding: 5px;
    }
    
    .authorize-site {
        text-align: center;
    }

    /* CSS */
    .button-15 {
      background-image: linear-gradient(#42A1EC, #0070C9);
      border: 1px solid #0077CC;
      border-radius: 4px;
      box-sizing: border-box;
      color: #FFFFFF;
      cursor: pointer;
      direction: ltr;
      font-family: "SF Pro Text","SF Pro Icons","AOS Icons","Helvetica Neue",Helvetica,Arial,sans-serif;
      font-size: 17px;
      font-weight: 400;
      letter-spacing: -.022em;
      line-height: 1.47059;
      min-width: 30px;
      overflow: visible;
      padding: 4px 15px;
      text-align: center;
      vertical-align: baseline;
      user-select: none;
      -webkit-user-select: none;
      touch-action: manipulation;
      white-space: nowrap;
    }

    .button-15:disabled {
      cursor: default;
      opacity: .3;
    }

    .button-15:hover {
      background-image: linear-gradient(#51A9EE, #147BCD);
      border-color: #1482D0;
      text-decoration: none;
    }

    .button-15:active {
      background-image: linear-gradient(#3D94D9, #0067B9);
      border-color: #006DBC;
      outline: none;
    }

    .button-15:focus {
      box-shadow: rgba(131, 192, 253, 0.5) 0 0 0 3px;
      outline: none;
    }
</style>

<div style="padding:25px;" class="customize-form-login">
    <h2 style="text-align:center">GM Customize Login 2Facktor Token</h2>    
    <?php if ($success) { ?>
            <div style="text-align: center">
                <div class="success_login_form">PLUGIN ATTIVATO CORRETTAMENTE</div>
                <br /><br />
                <label>La tua chiave di attivazione:</label><br /> 
                <p style="padding: 5px; font-size:1.8em"><strong><?php echo $activation_key; ?></strong></p>
                <br />
                <button class="remove-licenza button-15" role="button">Rimuovi Licenza</button>
            </div>
        <?php } else { ?>
         <div class="authorize-site">
             Non hai ancora una chiave per validare 2Factor Token ? 
             <a href="https://gianlucametello.it/2factor-token-authentication/" target="_blank">Richiedila adesso</a>
             <div style="text-align:center">Questo è il tuo dominio: <strong><?php echo home_url(); ?></strong></div>
         </div>
        <div class="content-form" style='display: flex;'>        
                <form action="<?php echo admin_url();?>admin.php?page=gm-2factor-token-authentication/gm-2factor-token-authentication-admin.php" method="post" name="flogin">
                    <div>
                        <label>Inserisci la chiave di attivazione: </label>
                         <input type="text" name="activation_key" value="<?php echo $activation_key; ?>" autocomplete="off" />
                         <button class="button-15" role="button">Verifica</button>
                    <?php }

                    if ($error) {
                            echo '<div class="error_login_form">Chiave di attivazione non valida !</div>';
                    }
                    ?>
                    </div>
               </form> 
        </div>
</div>